## ros-indigo-robot-controllers 0.5.4

=== debian/changelog ===
ros-indigo-robot-controllers (0.5.4-0trusty) trusty; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 11 Jul 2018 07:00:00 -0000

ros-indigo-robot-controllers (0.5.3-0trusty) trusty; urgency=high

  * remove limiter
  * Improve cartesian twist controller (#26 <https://github.com/fetchrobotics/robot_controllers/issues/26>)
  * Contributors: Hanjun Song, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 11 Jun 2017 07:00:00 -0000

ros-indigo-robot-controllers (0.5.2-0trusty) trusty; urgency=high

  * do not export python library for linking
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-robot-controllers (0.5.1-0trusty) trusty; urgency=high

  * base_controller: only update odometry if inputs are finite (prevents NANs to TF)
  * base_controller: add velocity limiting
  * pid: fix error in derivative error calculation
  * allow velocity limiting code be reused for forward simulation #18 <https://github.com/fetchrobotics/robot_controllers/issues/18>
  * Contributors: Cappy Pitts, Derek King, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-robot-controllers (0.5.0-0trusty) trusty; urgency=high

  * require finite commands to base controller
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 21 Feb 2016 08:00:00 -0000

ros-indigo-robot-controllers (0.4.3-0trusty) trusty; urgency=high

  * fix path/goal tolerance preparation
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Dec 2015 08:00:00 -0000

ros-indigo-robot-controllers (0.4.2-0trusty) trusty; urgency=high

  * fixed segmentation faults due to misconfiguration
  * Contributors: Arvin Asokan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 22 Oct 2015 07:00:00 -0000

ros-indigo-robot-controllers (0.4.1-0trusty) trusty; urgency=high

  * add centering pid to gripper controller
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-indigo-robot-controllers (0.4.0-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 23 May 2015 07:00:00 -0000

ros-indigo-robot-controllers (0.3.4-0trusty) trusty; urgency=high

  * add ability to reset controllers
  * add timeout to laser speed scaling
  * maintain constant curvature when scaling base velocity
  * remove DiffDriveBaseController::publish()
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 22 May 2015 07:00:00 -0000

ros-indigo-robot-controllers (0.3.3-0trusty) trusty; urgency=high

  * use laser to slow base when obstacles are near
  * add mutexes around command/odometry. publish odom in timer
  * add -Wall to compile flags, fix compile warnings
  * Contributors: Derek King, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 03 May 2015 07:00:00 -0000

ros-indigo-robot-controllers (0.3.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 09 Apr 2015 07:00:00 -0000

ros-indigo-robot-controllers (0.3.1-0trusty) trusty; urgency=high

  * use shortest_angular_distance for diff drive dx calculations
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 28 Mar 2015 07:00:00 -0000

ros-indigo-robot-controllers (0.3.0-0trusty) trusty; urgency=high

  * improve windup support
  * make spliced trajectory consistent in qd/qdd size
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-indigo-robot-controllers (0.1.4-0trusty) trusty; urgency=high

  * follow joint trajectory: add stop_on_path_violation parameter
  * diff drive controller: split theta update into two parts
  * diff drive controller: fix frames in odometry message
  * diff drive controller: add autostart
  * scaled mimic controller: add autostart
  * add root/tip params to gravity compensation
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 13 Mar 2015 07:00:00 -0000

ros-indigo-robot-controllers (0.1.3-0trusty) trusty; urgency=high

  * add scaled mimic controller (for bellows)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2015 08:00:00 -0000

ros-indigo-robot-controllers (0.1.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 06 Jan 2015 08:00:00 -0000

ros-indigo-robot-controllers (0.1.1-0trusty) trusty; urgency=high

  * initial release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 05 Jan 2015 08:00:00 -0000
