=== debian/control ===
Source: ros-indigo-robot-controllers
Section: misc
Priority: extra
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-angles, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-nav-msgs, ros-indigo-orocos-kdl, ros-indigo-pluginlib, ros-indigo-robot-controllers-interface, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-trajectory-msgs, ros-indigo-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-robot-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-nav-msgs, ros-indigo-orocos-kdl, ros-indigo-pluginlib, ros-indigo-robot-controllers-interface, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-trajectory-msgs, ros-indigo-urdf
Description: Some basic robot controllers for use with robot_controllers_interface.
